# Certrificate request workflow via remctl

1. Submit your request. See the file [`test-submit`](test-submit) in this
repository for an example of how to do this. Upon a successful submission
you will get back a string in this format:

        request submitted: order number 2207706, DB id: 152

1. Note: the submission process makes some calls to NetDB to verify that
you have the right to request a certificate for the hostnames in your
request, so the above remctl call can take a minute or so to finish.

1. To check if the certificate has been issued, run this remctl:

        $ remctl server certreq show <db-id>
        $ remctl server certreq show 152      (from example above)

1. Parse the returned string from "show" command in the previous step. One
of the lines will look this:

        certificate id:    XXX

1. If "XXX" is _not_ a number your certificate is not yet ready. Wait a
couple of minutes and try again. Remember that certificates are
**manually** approved by ACS Linux staff, so it could be several hours
before your certificate is approved. When testing, contact Adam so he can
do the approvals more quickly.

1. If "XXX" _is_ a number, your certificate is ready and "XXX" is the
certificate database number. You will need "XXX" in the next step.

1. Once your certificate is ready you can show the details of the certificate:

        $ remctl server certs show XXX   (note the command is "certs" not "certreq")

1. Once your certificate is ready you can download the certificate:

        $ remctl server certs show-cert XXX
