use strict ;
use warnings ;


### ##########################################################
use lib "../lib";
use Stanford::Certificate ;
use Stanford::Certificate::Misc ;

my $connect_yml_file = Stanford::Certificate::Misc::get_connect_yml_file() ;

my $schema = Stanford::Certificate::attach($connect_yml_file);
my $cert = $schema->resultset('Certificate')->new({});

# Make sure to do the root (self-signed) certs first.
my @trusted_certs_to_add = qw
(
  ../trusted/Entrust.net_Secure_Server_CA.pem
  ../trusted/AddTrust_External_Root.pem
  ../t/incommon_intermediate.pem
  ../trusted/comodo-addtrust-2020.pem
  ../trusted/comodo-entrust-2012.pem
  ../trusted/comodo-entrust-2015.pem
  ../trusted/InCommon_RSA_Server_CA.pem
) ;

foreach my $trusted_cert_to_add (@trusted_certs_to_add)
{
  my $new_cert = $cert->make_cert_from_pem_file($trusted_cert_to_add) ;
  $new_cert->insert() ;
  print "added trusted certificate " . $new_cert->subject() . "\n" ;
}




